/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package sample.tswebclient.bean;

import java.io.Serializable;
import sample.tswebclient.cassandra.Application;

/**
 *
 * Item represented in the application tree. The item consists on
 * two data: the application itself and the depth on the tree.
 *
 * @see sample.tswebclient.cassandra.Application
 * @author ricky
 */
public class ApplicationItem implements Serializable {

    /**
     * The application wrapped inside the item.
     */
    private Application application = null;

    /**
     * The depth of the application in the structure
     */
    private int depth = 0;

    /**
     * Constructor via application and depth.
     * @param application The application itself.
     * @param depth The depth of this application.
     */
    public ApplicationItem(Application application, int depth) {
        this.application = application;
        this.depth = depth;
    }

    /**
     * Return the application.
     * @return application
     */
    public Application getApplication() {
        return application;
    }

    /**
     * Return the depth.
     * @return depth
     */
    public int getDepth() {
        return depth;
    }

}
