/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package sample.tswebclient.bean;

import java.text.MessageFormat;
import javax.faces.application.FacesMessage;

/**
 *
 * Little extension for FacesMessages that perform the param substitution
 * using MessageFormat.
 *
 * @author ricky
 *
 */
public class ParametrizedFacesMessage extends FacesMessage {

    /**
     * empty constructor
     */
    public ParametrizedFacesMessage() {
        super();
    }

    /**
     * Constructor with severity, detail and summary.
     * @param severity The severity
     * @param summary The summary
     * @param detail The detail
     */
    public ParametrizedFacesMessage(FacesMessage.Severity severity,
            String summary, String detail) {
        super(severity, summary, detail);
    }

    /**
     * Constructor via summary.
     * @param summary The summary
     */
    public ParametrizedFacesMessage(String summary) {
        super(summary);
    }

    /**
     * Constructor using summary and detail
     * @param summary The summary
     * @param detail The detail
     */
    public ParametrizedFacesMessage(String summary, String detail) {
        super(summary, detail);
    }

    /**
     * private method that format the string using MessageFormat
     * @param format The string to format
     * @param params The parameters
     * @return The string formatted
     */
    private String format(String format, Object[] params) {
        if (format != null && params != null) {
            format = MessageFormat.format(format, params);
        }
        return format;
    }

    /**
     * Format a detail.
     * @param format The detail in format
     * @param params The params
     */
    public void setParametrizedDetail(String format, Object[] params) {
        this.setDetail(format(format, params));
    }

    /**
     * Format a summary.
     * @param format The summary in format
     * @param params The params
     */
    public void setParametrizedSummary(String format, Object[] params) {
        this.setSummary(format(format, params));
    }

}
