/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package sample.tswebclient.cassandra;

import java.io.UnsupportedEncodingException;

/**
 * Attributes that are filled in an application.
 *
 * <ul>
 *   <li>name: name of the application ("Skype").</li>
 *   <li>type: This item is an application or a folder.</li>
 *   <li>icon: PNG binary file for application icon.</li>
 *   <li>description: Description of the application or folder.</li>
 *   <li>path: NOT USED.</li>
 *   <li>rdp: RDP file to download to the client when clicked.</li>
 * </ul>
 */
public enum Attributes {

    /**
     * name of the application ("Skype").
     */
    name,
    
    /**
     * This item is an application or a folder.
     */
    type,

    /**
     * PNG binary file for application icon.
     */
    icon,

    /**
     * Description of the application or folder.
     */
    description,

    /**
     * not used.
     */
    path,

    /**
     * RDP file to download to the client when clicked.
     */
    rdp;

    /**
     * Function to return the String in bytes (to be stored in Cassandra).
     *
     * @param charsetName The character set of the bytes (usually "UTF-8")
     * @return The bytes of the name in this character set.
     * @throws UnsupportedEncodingException Unknown charset.
     */
    public byte[] getBytes(String charsetName) throws UnsupportedEncodingException {
        return this.toString().getBytes(charsetName);
    }
}
