/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package sample.tswebclient.cassandra;

/**
 * Enumerated inner class that controls how readApplication method works.
 *
 * <ul>
 *   <li>NONE: Only specified application path is read.</li>
 *   <li>ONLY_NAMES: The application folder and the names of its children
 *       are read, so the children applications will not have all
 *       properties filled (only the name).</li>
 *   <li>FULL: The application and its children are fully read (all
 *       properties).</li>
 *   <li>RECURSIVE: All applications and folders are fully read from
 *       the path specified to the bottom.</li>
 * </ul>
 *
 * @author ricky
 */
public enum ChildrenReadOption {

    /**
     * Only specified application path is read.
     */
    NONE,

    /**
     * The application folder and the names of its children
     * are read, so the children applications will not have all
     * properties filled (only the name).
     */
    ONLY_NAMES,

    /**
     * The application and its children are fully read (all properties).
     */
    FULL,
    
    /**
     * All applications and folders are fully read from
     * the path specified to the bottom.
     */
    RECURSIVE,
}
